Amazon EKS and Kubeflow Compatibility

Compatibility matrix for Kubeflow on Amazon EKS by Kubernetes version

Compatibility

Starting with Kubeflow version 1.2, Amazon EKS maintains end-to-end testing between EKS Kubernetes versions and Kubeflow versions. The following table relates compatibility between Kubernetes versions 1.15+ on Amazon EKS and Kubeflow version v1.2.0.

EKS Versions Kubeflow v1.2.0)
1.15 Compatible
1.16 Compatible
1.17 Compatible
1.18 Compatible
1.19 No known issues
  • Incompatible: the combination is not known to work together
  • Compatible: all Kubeflow features have been tested and verified for the EKS Kubernetes version
  • No known issues: the combination has not been fully tested but there are no reported issues

Feedback

Was this page helpful?